<?php
/*********************************************************      
 程序说明：         
    功能说明：告警查询的上部页面
    调用关系：
    变量说明：
      返回值：无

 作者：
      
修改注释：      
NO.1      
姓名：       
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");

$db='OMC_PUB';
$pageTitle	= "$strLog&nbsp;>&nbsp;$strLogAlarm";
$device_sql ="SELECT sysTypeNo,sysTypeName 
	          FROM  $sysconf_table 
		      WHERE needHeartBeat >'0' 
		      ORDER BY sysTypeNo  
		      ";
$device_result = @mysqli_query($pubConn,$device_sql);
$device_rows = @mysqli_fetch_array($device_result);
echo mysqli_error($pubConn);

?>
<base target="main">
<body leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('up');" onresize="javascript:adjust_frame('up');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">
<form method="post" name="theform"  id="theform" action="alarmList_down.php" > 
<?php
adjust_head_frame("up");
adjust_title_head_frame("up");
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"70%\" align=\"left\">";
echo "$pageTitle";
echo "</td>";
echo "<td align=\"right\" title=\"Help\">";
$helpId = "4.1";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td align=\"left\">";

echo "$strSysType"; 
echo "<select size=\"1\" name=\"selSysTypeNo\"> ";
echo "<option value=\"all\">$strAll</option>";
do{
	echo "<option value=\"$device_rows[sysTypeNo]\" >";
	echo "$device_rows[sysTypeName]";
	echo "</option>";
}while($device_rows = mysqli_fetch_array($device_result));
echo "<option value=\"500\" >BSS</option>";
echo "</select>&nbsp;";

echo "$strAlamState";
echo "&nbsp;<select name=\"selAlarmLevel\" size=\"1\">";
echo "<option value=\"unclear\">$strNotCleared</option>";
echo "<option value=\"cleared\">$strCleared</option>";
echo "<option value=\"all\">$strAll</option>";
echo "<option value=\"unclear\">--Level--</option>";
for($i=1;$i<sizeof($alarmLevelDefArr);$i++){
	$alarmLevelRemark=$alarmLevelDefArr[$i][remark];
	$alarmLevelValue=$alarmLevelDefArr[$i][value];
	if($alarmLevelValue == $selAlarmLevel)
		echo "<option selected value=\"$alarmLevelValue\">$alarmLevelRemark</option>";
	else
		echo "<option value=\"$alarmLevelValue\">$alarmLevelRemark</option>";
}

echo "</select>&nbsp;&nbsp;&nbsp;&nbsp;";
echo "<input type=\"hidden\" value=$noop name=\"noop\">";
?>
<span id='searchID' onClick="javascript:document.theform.submit();" style="cursor:hand">
	<IMG align=absBottom border=0 src="../../images/search.gif" ><?php echo "$strSearch"; ?>
</span>
<?php
echo "</td>";
echo "<td align=\"right\">";

echo "</td>";
echo "</tr>";
echo "</table>";

adjust_title_tail_frame("up");
adjust_content_head_frame("up");
adjust_content_tail_frame("up");
?>
              
</form>      
</body>
</html>     
     
